<?php
/**
 * Plugin Name: WP Disabling Responsive Images
 * Plugin URI:  https://with-planning.jp/
 * Description: WordPress4.4で追加された「Responsive Images」機能を無効化します。
 * Version:     0.1.0
 * Author:      With-Planning
 * Author URI:  https://with-planning.jp/
 * License:     GPLv2
 */

$wp_disabling_responsive_images = new WPDisablingResponsiveImages();
$wp_disabling_responsive_images->register();

class WPDisablingResponsiveImages {

	public function register() {
		add_action( 'plugins_loaded', array($this, 'plugins_loaded') );
	}

	public function plugins_loaded() {
		add_filter( 'wp_calculate_image_srcset', '__return_false' );
	}
}